Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface RedisKeyCommands

All Known Subinterfaces:
  RedisCommands, RedisConnection, StringRedisConnection

All Known Implementing Classes:
  DefaultStringRedisConnection, JedisConnection, JredisConnection, LettuceConnection, SrpConnection

    public interface RedisKeyCommands

Key-specific commands supported by Redis.

Method Summary
`Long` | `del(byte[]... keys)`
`byte[]` | `dump(byte[] key)`
`Boolean` | `exists(byte[] key)`
`Boolean` | `expire(byte[] key, long seconds)`
`Boolean` | `expireAt(byte[] key, long unixTime)`
`Set<byte[]>` | `keys(byte[] pattern)`
`Boolean` | `move(byte[] key, int dbIndex)`
`Boolean` | `persist(byte[] key)`
`Boolean` | `pExpire(byte[] key, long millis)`
`Boolean` | `pExpireAt(byte[] key, long unixTimeInMillis)`
`Long` | `pTtl(byte[] key)`
`byte[]` | `randomKey()`
`void` | `rename(byte[] oldName, byte[] newName)`
`Boolean` | `renameNX(byte[] oldName, byte[] newName)`
`void` | `restore(byte[] key, long ttlInMillis, byte[] serializedValue)`
`List<byte[]>` | `sort(byte[] key, SortParameters params)`
`Long` | `sort(byte[] key, SortParameters params, byte[] storeKey)`
`Long` | `ttl(byte[] key)`
`DataType` | `type(byte[] key)`

Method Detail

### exists

    Boolean exists(byte[] key)

### del

    Long del(byte[]... keys)

### type

    DataType type(byte[] key)

### keys

    Set<byte[]> keys(byte[] pattern)

### randomKey

    byte[] randomKey()

### rename

    void rename(byte[] oldName,
                byte[] newName)

### renameNX

    Boolean renameNX(byte[] oldName,
                     byte[] newName)

### expire

    Boolean expire(byte[] key,
                   long seconds)

### pExpire

    Boolean pExpire(byte[] key,
                    long millis)

### expireAt

    Boolean expireAt(byte[] key,
                     long unixTime)

### pExpireAt

    Boolean pExpireAt(byte[] key,
                      long unixTimeInMillis)

### persist

    Boolean persist(byte[] key)

### move

    Boolean move(byte[] key,
                 int dbIndex)

### ttl

    Long ttl(byte[] key)

### pTtl

    Long pTtl(byte[] key)

### sort

    List<byte[]> sort(byte[] key,
                      SortParameters params)

### sort

    Long sort(byte[] key,
              SortParameters params,
              byte[] storeKey)

### dump

    byte[] dump(byte[] key)

### restore

    void restore(byte[] key,
                 long ttlInMillis,
                 byte[] serializedValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD